/* 
html5doctor.com Reset Stylesheet
v1.6.1
Last Updated: 2010-09-17
Author: Richard Clark - http://richclarkdesign.com 
Twitter: @rich_clark
*/

html, body, div, span, object, iframe,
h1, h2, h3, h4, h5, h6, p, blockquote, pre,
abbr, address, cite, code,
del, dfn, em, img, ins, kbd, q, samp,
small, strong, sub, sup, var,
b, i,
dl, dt, dd, ol, ul, li,
fieldset, form, label, legend,
table, caption, tbody, tfoot, thead, tr, th, td,
article, aside, canvas, details, figcaption, figure, 
footer, header, hgroup, menu, nav, section, summary,
time, mark, audio, video {
    margin:0;
    padding:0;
    border:0;
    outline:0;
    font-size:100%;
    vertical-align:baseline;
    background:transparent;
}

body {
    line-height:1;
}

article,aside,details,figcaption,figure,
footer,header,hgroup,menu,nav,section { 
    display:block;
}

nav ul {
    list-style:none;
}

blockquote, q {
    quotes:none;
}

blockquote:before, blockquote:after,
q:before, q:after {
    content:'';
    content:none;
}

a {
    margin:0;
    padding:0;
    font-size:100%;
    vertical-align:baseline;
    background:transparent;
}

/* change colours to suit your needs */
ins {
    background-color:#ff9;
    color:#000;
    text-decoration:none;
}

/* change colours to suit your needs */
mark {
    background-color:#ff9;
    color:#000; 
    font-style:italic;
    font-weight:bold;
}

del {
    text-decoration: line-through;
}

abbr[title], dfn[title] {
    border-bottom:1px dotted;
    cursor:help;
}

table {
    border-collapse:collapse;
    border-spacing:0;
}

/* change border colour to suit your needs */
hr {
    display:block;
    height:1px;
    border:0;   
    border-top:1px solid #cccccc;
    margin:1em 0;
    padding:0;
}

input, select {
    vertical-align:middle;
}

a {
    text-decoration: none;
}














/*----------------------------- My Code ------------------------------------------*/
#nav-bar {
    height: 66px;
    display: flex;
    flex-direction: column;
}
.nav-header{
    display: flex;
    height: 100%;
    justify-content: space-between;
}
.nav-heading  {
    width: 20%;
    height: 24px;
    text-align: center;
    padding: 20px 0;
}
.nav-toggle{
    vertical-align: middle;
}

.nav-header h2,
.nav-toggle a{
    display: inline-block;
    width: 100%;
    height: 100%;
    line-height: 1.5em;
}

.nav-items {
    display: none;
}
.nav-cart,
.nav-toggle {
    width: 40px;
    padding: 20px;
}

/*------------------------------- Item Section ---------------------------------------*/
.item {
    display: flex;
    flex-direction: column;
    height: 1000px;
    position: relative;
}
.item-img {
    width: 80%;
    padding: 0 10%;
    height: 100vw;
}
.item-description {
    width: 100%;
    height: auto;
    margin-bottom: 72px;
}
.item-description  div{
    display: flex;
}
.item-description  div>span{
    flex: 1;
}

select {
    flex:4;
    width: 200px;

}
.add-btn {
    width: 100%;
    display: block;
    margin: 20px 0 0 0;
}





















/*-------------------------------------- Media Queries 768px --------------------------------------------------*/
@media screen and (min-width: 768px){
    /* nav-bar */
    #nav-bar {
        height: 130px;
    }
    .nav-toggle a{
        display: none;
    }
    .nav-items {
        display: flex;
        width: auto;
        height: 100%;
        margin: 0 auto;
        justify-content: space-around;
    }

    .nav-items li {
        height: auto;
        padding: 10px;
        
    }
    .nav-items li a {
        height: 1em;
        line-height: 44px;
        padding: 10px;
    }
    /*  menswear items */
    .item {
        display: flex;
        flex-direction: row;
        height: calc(100vh + 128px);
        position: relative;
    }
    .item-img {
        height: auto;
        margin: 60px 32px;
        padding: 0;
        width: 100%;
    }
    
    select {
        width: 100px;
    
    }
    .add-btn {
        display: inline-block;
        width: auto;
        border: 2px solid black;
        margin: 20px auto 0 20px;
        padding: 8px 44px;;
        height: 16px;
        line-height: 16px;
        font-size: 14px;
        background: white;
        color: black;
        position: static;
    }
    .item-description {
        margin: 62px 32px;
        height: calc(100% - 128px);
        width: 100%;
    }

    
    
    

}


